> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/api-reference/settlement-wallet-api.md).

# Settlement Wallet API

API for settlement wallet

## Get a wallet

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Wallet API","description":"API for settlement wallet"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/settlement/wallet":{"post":{"tags":["Settlement Wallet API"],"summary":"Get a wallet","description":"Permission annotations:","operationId":"getSettlementWallet","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByAddressRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGSettlementWalletResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByAddressRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByAddressRequestDTO"}},"description":"Object with request data"},"ByAddressRequestDTO":{"required":["address"],"type":"object","properties":{"address":{"type":"string","description":"Address"}},"description":"Object with request address parameter"},"PGSettlementWalletResponseDTO":{"required":["address","balances","blockchain","name"],"type":"object","properties":{"name":{"type":"string","description":"Wallet name"},"address":{"type":"string","description":"Wallet address"},"blockchain":{"type":"string","description":"Wallet blockchain"},"balances":{"type":"array","description":"Wallet balances","items":{"$ref":"#/components/schemas/PGSettlementBalanceDTO"}}},"description":"Data of the response to the action with the wallet"},"PGSettlementBalanceDTO":{"required":["amount","currency","token"],"type":"object","properties":{"currency":{"type":"string","description":"Currency ticker"},"amount":{"type":"number","description":"The amount"},"token":{"type":"boolean","description":"Token attribute"}},"description":"Data of the response to the request for information about the wallet balance"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get transactions

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Wallet API","description":"API for settlement wallet"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/settlement/wallet/transactions":{"post":{"tags":["Settlement Wallet API"],"summary":"Get transactions","description":"Permission annotations:","operationId":"getTransactions","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPGSettlementTransactionFilterDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDTOPGSettlementTransactionResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPGSettlementTransactionFilterDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PGSettlementTransactionFilterDTO"}},"description":"Object with request data"},"PGSettlementTransactionFilterDTO":{"required":["pageNumber","pageSize","properties","sort"],"type":"object","properties":{"walletAddress":{"type":"string","description":"Filtering by wallet address"},"addressTo":{"type":"string","description":"Filtering by recipient's wallet address"},"opcodes":{"type":"array","description":"Filtering by operation codes","items":{"type":"string","description":"Filtering by operation codes","enum":["WITHDRAWAL","INNER_WITHDRAWAL","SETTLEMENT_SINGLE_WITHDRAWAL","SETTLEMENT_MASS_WITHDRAWAL","SETTLEMENT_INTERNAL_WITHDRAWAL","SETTLEMENT_TO_ASSET_WITHDRAWAL","SETTLEMENT_TO_SETTLEMENT_WITHDRAWAL","ASSET_TO_SETTLEMENT_WITHDRAWAL","CRYPTO_TO_FIAT_WITHDRAWAL","CRYPTO_TO_CRYPTO_WITHDRAWAL","CRYPTO_TO_CRYPTO_DEPOSIT","CRYPTO_TO_CRYPTO_INVOICE_WITHDRAWAL","CRYPTO_TO_CRYPTO_INVOICE_DEPOSIT","CREATION_SINGLE_INVOICE","CREATION_SINGLE_FIAT_INVOICE","CREATION_UNLIMITED_INVOICE","CREATION_UNLIMITED_LINKED_INVOICE","CREATION_BOUND_INVOICE","UNLIMITED_INVOICE_FIRST_PAY_FEE","SINGLE_INVOICE","SINGLE_FIAT_INVOICE","UNLIMITED_INVOICE","UNLIMITED_LINKED_INVOICE","BOUND_INVOICE","TOP_UP","SETTLEMENT_TOP_UP","FIAT_TOP_UP","FEE","ISSUE_LOAN","REPAYMENT_LOAN","UNLIMITED_CUSTOMER_PURSE","UNLIMITED_CUSTOMER_PURSE_FIRST_PAY_FEE","RECOVERY"]}},"currency":{"type":"string","description":"Filtering by currency ticker"},"pageNumber":{"type":"integer","description":"Numeric value indicating the page number","format":"int32","default":1},"pageSize":{"type":"integer","description":"Numeric value indicating the page size","format":"int32","default":10},"sort":{"type":"string","description":"Direction of result values which can be asc or desc","default":"ASC","enum":["ASC","DESC"]},"properties":{"type":"string","description":"Attribute by which sorting is performed. Accept the parameter name by which sorting is needed"}},"description":"Data of the request to receive a list of transactions by wallets"},"PageDTOPGSettlementTransactionResponseDTO":{"required":["page","result","size","total","totalElements"],"type":"object","properties":{"result":{"type":"array","description":"Array of requested objects","items":{"$ref":"#/components/schemas/PGSettlementTransactionResponseDTO"}},"page":{"type":"integer","description":"Numeric value indicating the page number","format":"int32"},"size":{"type":"integer","description":"Numeric value indicating the page size","format":"int32"},"total":{"type":"integer","description":"Total number of pages matching the query","format":"int32"},"totalElements":{"type":"integer","description":"Total number of objects matching the query","format":"int64"}},"description":"Object with page details"},"PGSettlementTransactionResponseDTO":{"required":["amount","createdDate","currency","networkFee","networkFeeCurrency","opCode","serviceFee","serviceFeeCurrency","transactionHash"],"type":"object","properties":{"amount":{"type":"number","description":"The amount"},"currency":{"type":"string","description":"Currency ticker"},"opCode":{"type":"string","description":"Operation code","enum":["WITHDRAWAL","INNER_WITHDRAWAL","SETTLEMENT_SINGLE_WITHDRAWAL","SETTLEMENT_MASS_WITHDRAWAL","SETTLEMENT_INTERNAL_WITHDRAWAL","SETTLEMENT_TO_ASSET_WITHDRAWAL","SETTLEMENT_TO_SETTLEMENT_WITHDRAWAL","ASSET_TO_SETTLEMENT_WITHDRAWAL","CRYPTO_TO_FIAT_WITHDRAWAL","CRYPTO_TO_CRYPTO_WITHDRAWAL","CRYPTO_TO_CRYPTO_DEPOSIT","CRYPTO_TO_CRYPTO_INVOICE_WITHDRAWAL","CRYPTO_TO_CRYPTO_INVOICE_DEPOSIT","CREATION_SINGLE_INVOICE","CREATION_SINGLE_FIAT_INVOICE","CREATION_UNLIMITED_INVOICE","CREATION_UNLIMITED_LINKED_INVOICE","CREATION_BOUND_INVOICE","UNLIMITED_INVOICE_FIRST_PAY_FEE","SINGLE_INVOICE","SINGLE_FIAT_INVOICE","UNLIMITED_INVOICE","UNLIMITED_LINKED_INVOICE","BOUND_INVOICE","TOP_UP","SETTLEMENT_TOP_UP","FIAT_TOP_UP","FEE","ISSUE_LOAN","REPAYMENT_LOAN","UNLIMITED_CUSTOMER_PURSE","UNLIMITED_CUSTOMER_PURSE_FIRST_PAY_FEE","RECOVERY"]},"addressTo":{"type":"string","description":"Recipient's wallet address"},"serviceFee":{"type":"number","description":"Service fee"},"serviceFeeCurrency":{"type":"string","description":"Service fee currency ticker"},"networkFee":{"type":"number","description":"Network fee"},"networkFeeCurrency":{"type":"string","description":"Network fee currency ticker"},"transactionHash":{"type":"string","description":"Transaction hash"},"createdDate":{"type":"string","description":"Date of creation","format":"date-time"}},"description":"Data of the response to the transaction receipt request"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Rename wallet

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Wallet API","description":"API for settlement wallet"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/settlement/wallet/rename":{"post":{"tags":["Settlement Wallet API"],"summary":"Rename wallet","description":"Permission annotations:","operationId":"renameSettlementWallet","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPGRenameWalletRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPGRenameWalletRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PGRenameWalletRequestDTO"}},"description":"Object with request data"},"PGRenameWalletRequestDTO":{"required":["address","name"],"type":"object","properties":{"address":{"type":"string","description":"Wallet address"},"name":{"maxLength":100,"minLength":0,"type":"string","description":"New wallet name"}},"description":"Request data for renaming the wallet"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get available operation codes

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Wallet API","description":"API for settlement wallet"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/settlement/wallet/opcodes":{"post":{"tags":["Settlement Wallet API"],"summary":"Get available operation codes","description":"Permission annotations:","operationId":"getAvailableOpcodes","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyWithAccountContainer"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGSettlementOpCodesResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"EmptyWithAccountContainer":{"required":["account","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"}},"description":"Object with request data"},"PGSettlementOpCodesResponseDTO":{"required":["opCodes"],"type":"object","properties":{"opCodes":{"type":"array","description":"Operation codes","items":{"type":"string","description":"Operation codes","enum":["WITHDRAWAL","INNER_WITHDRAWAL","SETTLEMENT_SINGLE_WITHDRAWAL","SETTLEMENT_MASS_WITHDRAWAL","SETTLEMENT_INTERNAL_WITHDRAWAL","SETTLEMENT_TO_ASSET_WITHDRAWAL","SETTLEMENT_TO_SETTLEMENT_WITHDRAWAL","ASSET_TO_SETTLEMENT_WITHDRAWAL","CRYPTO_TO_FIAT_WITHDRAWAL","CRYPTO_TO_CRYPTO_WITHDRAWAL","CRYPTO_TO_CRYPTO_DEPOSIT","CRYPTO_TO_CRYPTO_INVOICE_WITHDRAWAL","CRYPTO_TO_CRYPTO_INVOICE_DEPOSIT","CREATION_SINGLE_INVOICE","CREATION_SINGLE_FIAT_INVOICE","CREATION_UNLIMITED_INVOICE","CREATION_UNLIMITED_LINKED_INVOICE","CREATION_BOUND_INVOICE","UNLIMITED_INVOICE_FIRST_PAY_FEE","SINGLE_INVOICE","SINGLE_FIAT_INVOICE","UNLIMITED_INVOICE","UNLIMITED_LINKED_INVOICE","BOUND_INVOICE","TOP_UP","SETTLEMENT_TOP_UP","FIAT_TOP_UP","FEE","ISSUE_LOAN","REPAYMENT_LOAN","UNLIMITED_CUSTOMER_PURSE","UNLIMITED_CUSTOMER_PURSE_FIRST_PAY_FEE","RECOVERY"]}}},"description":"Data of the response to the request to obtain available operation codes"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Create a wallet

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Wallet API","description":"API for settlement wallet"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/settlement/wallet/create":{"post":{"tags":["Settlement Wallet API"],"summary":"Create a wallet","description":"Permission annotations:","operationId":"createSettlementWallet","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPGCreateWalletRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGSettlementWalletResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPGCreateWalletRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PGCreateWalletRequestDTO"}},"description":"Object with request data"},"PGCreateWalletRequestDTO":{"required":["blockchain","name"],"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string","description":"Wallet name"},"blockchain":{"type":"string","description":"Blockchain"}},"description":"Request data for creating a wallet"},"PGSettlementWalletResponseDTO":{"required":["address","balances","blockchain","name"],"type":"object","properties":{"name":{"type":"string","description":"Wallet name"},"address":{"type":"string","description":"Wallet address"},"blockchain":{"type":"string","description":"Wallet blockchain"},"balances":{"type":"array","description":"Wallet balances","items":{"$ref":"#/components/schemas/PGSettlementBalanceDTO"}}},"description":"Data of the response to the action with the wallet"},"PGSettlementBalanceDTO":{"required":["amount","currency","token"],"type":"object","properties":{"currency":{"type":"string","description":"Currency ticker"},"amount":{"type":"number","description":"The amount"},"token":{"type":"boolean","description":"Token attribute"}},"description":"Data of the response to the request for information about the wallet balance"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Archive wallet

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Wallet API","description":"API for settlement wallet"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/settlement/wallet/archive":{"post":{"tags":["Settlement Wallet API"],"summary":"Archive wallet","description":"Permission annotations:","operationId":"archiveSettlementWallet","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByAddressRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByAddressRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByAddressRequestDTO"}},"description":"Object with request data"},"ByAddressRequestDTO":{"required":["address"],"type":"object","properties":{"address":{"type":"string","description":"Address"}},"description":"Object with request address parameter"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get wallets

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Wallet API","description":"API for settlement wallet"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/settlement/wallet/all":{"post":{"tags":["Settlement Wallet API"],"summary":"Get wallets","description":"Permission annotations:","operationId":"getSettlementWallets","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPGWalletFilterDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDTOPGSettlementWalletResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPGWalletFilterDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PGWalletFilterDTO"}},"description":"Object with request data"},"PGWalletFilterDTO":{"required":["pageNumber","pageSize","properties","sort"],"type":"object","properties":{"blockchain":{"type":"string","description":"Filtering by blockchain"},"currency":{"type":"string","description":"Filtering by currency ticker"},"nameOrAddress":{"type":"string","description":"Filtering by wallet name or wallet address"},"pageNumber":{"type":"integer","description":"Numeric value indicating the page number","format":"int32","default":1},"pageSize":{"type":"integer","description":"Numeric value indicating the page size","format":"int32","default":10},"sort":{"type":"string","description":"Direction of result values which can be asc or desc","default":"ASC","enum":["ASC","DESC"]},"properties":{"type":"string","description":"Attribute by which sorting is performed. Accept the parameter name by which sorting is needed"}},"description":"Data of the request for information about wallets"},"PageDTOPGSettlementWalletResponseDTO":{"required":["page","result","size","total","totalElements"],"type":"object","properties":{"result":{"type":"array","description":"Array of requested objects","items":{"$ref":"#/components/schemas/PGSettlementWalletResponseDTO"}},"page":{"type":"integer","description":"Numeric value indicating the page number","format":"int32"},"size":{"type":"integer","description":"Numeric value indicating the page size","format":"int32"},"total":{"type":"integer","description":"Total number of pages matching the query","format":"int32"},"totalElements":{"type":"integer","description":"Total number of objects matching the query","format":"int64"}},"description":"Object with page details"},"PGSettlementWalletResponseDTO":{"required":["address","balances","blockchain","name"],"type":"object","properties":{"name":{"type":"string","description":"Wallet name"},"address":{"type":"string","description":"Wallet address"},"blockchain":{"type":"string","description":"Wallet blockchain"},"balances":{"type":"array","description":"Wallet balances","items":{"$ref":"#/components/schemas/PGSettlementBalanceDTO"}}},"description":"Data of the response to the action with the wallet"},"PGSettlementBalanceDTO":{"required":["amount","currency","token"],"type":"object","properties":{"currency":{"type":"string","description":"Currency ticker"},"amount":{"type":"number","description":"The amount"},"token":{"type":"boolean","description":"Token attribute"}},"description":"Data of the response to the request for information about the wallet balance"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/api-reference/settlement-wallet-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
